CMSIS-DSP: statistics_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
statistics_functions_f16.h File Reference

## Functions

void | arm_power_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Sum of the squares of the elements of a floating-point vector. More...
void | arm_mean_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Mean value of a floating-point vector. More...
void | arm_var_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Variance of the elements of a floating-point vector. More...
void | arm_rms_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Root Mean Square of the elements of a floating-point vector. More...
void | arm_std_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Standard deviation of the elements of a floating-point vector. More...
void | arm_min_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Minimum value of a floating-point vector. More...
void | arm_absmin_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_max_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Maximum value of a floating-point vector. More...
void | arm_absmax_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Maximum value of absolute values of a floating-point vector. More...
void | arm_absmin_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmax_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Maximum value of a floating-point vector. More...
float16_t | arm_entropy_f16 (const float16_t *pSrcA, uint32_t blockSize)
| Entropy. More...
float16_t | arm_logsumexp_f16 (const float16_t *in, uint32_t blockSize)
| Computation of the LogSumExp. More...
float16_t | arm_logsumexp_dot_prod_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t blockSize, float16_t *pTmpBuffer)
| Dot product with log arithmetic. More...
float16_t | arm_kullback_leibler_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t blockSize)
| Kullback-Leibler. More...
void | arm_max_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Maximum value of a floating-point vector. More...
void | arm_min_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Minimum value of a floating-point vector. More...
void | arm_mse_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t blockSize, float16_t *pResult)
| Mean square error between two half precision float vectors. More...